/*   
Theme Name: Under Lavamax
Theme URL: 
Description: 
Author: @klu.com.mx
Text Domain: underscores
Template: underscores
Version:
Tags: 
*/

/*------------------------------------------------------------------------ 
GENERAL  /////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/

html, body {
	background-color:var(--color-white);
	color: var(--color-neutro-darker);
	font-weight:normal;
	letter-spacing:0.18px;
	}

/* Font size
----------------------------------------*/
body  {
	 font-size: clamp(1rem, 1.2vw, 1.5rem);
	}





:root {

	--font-main:'Montserrat', sans-serif;
	--font-second:'Montserrat', sans-serif;

	--color-main-darker:#031d3d;
	--color-main-dark:#04326b;
	--color-main:#00459B;
	--color-main-soft:#4884ce;
	--color-main-softer:#c8dcf4;

	--color-second-darker:#222a26;
	--color-second-dark:#366751;
	--color-second:#006d99;
	--color-second-soft:#8acfb2;
	--color-second-softer:#ddede6;


	--color-neutro-darker:#17191a;
	--color-neutro-dark:#343638;
	--color-neutro:#62686d;
	--color-neutro-soft:#75797C;
	--color-neutro-softer:#E6EAEF;

	--color-ok:#55b88b;
	--color-ok-softer:#a9dac4;
	--color-caution:#edbc2a;
	--color-caution-softer:#f9f8ea;
	--color-warning:#fc6161;
	--color-warning-softer:#f2c9c9;

	}



/*-------------------------------------------------- 
---     INTERLINEADO   //////////////////////////
---------------------------------------------------*/
body, p{
	line-height: 1.6;
	}

h1, h2, h3, h4, h5, h6 {
	line-height: 1.2;
	}



/*-------------------------------------------------- 
---     TITLES    //////////////////////////////////
---------------------------------------------------*/
[class*="title-main"] {
	font-size:1.8em;
	}

[class*="title-1"]{
	font-size:1.6em;
	}

[class*="title-2"] {
	font-size:1.2em;
	}

[class*="title-3"] {
	font-size:1.2em;
	}

[class*="subtitle-1"]{
	font-size:1em;
	}

[class*="subtitle-2"] {
	font-size:0.9em;
	}

[class*="subtitle-3"] {
	font-size:0.8em;
	}








/*------------------------------------------------------------------------ 
HEADER //////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/

/* General
------------------------------*/
header.header-main  {
	background-color:var(--color-white);
	border-bottom:1px solid var(--color-neutro-softer);
	padding-block:clamp(2px, 1vw, 8px);
	}




/* Fonts
------------------------------*/
header.header-main nav[class*="nav-main"] {
	font-weight:bold;
	font-family:var(--font-main);
	text-transform:uppercase;
	}




/*--------------------------------------------------- 
--- LOGOTIPO  /////////////////////////////////////
---------------------------------------------------*/
header.header-main .logotipo img {
	max-height:200px;
	max-width:500px;
	}
@media only screen and (max-width:620px) {
	header.header-main .logotipo img {
	max-height:100px;
	max-width:320px;
	}
}































/*-------------------------------------------------------------------------- 
///////////////////////////////////////////////////////////////////////////
04 BANNERS  ///////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
-------------------------------------------------------------------------*/
/* --------------------------------------------------
04 ----------------------------------- BANNER BOX ---
---------------------------------------------------*/
.banner-box  .title{
	font-size:2.4rem;
	color:var(--color-black);
	text-transform:uppercase;
	font-weight:bolder;

	}

.banner-box  .subtitle{
	font-size:3rem;
	color:var(--color-main);

	text-transform:uppercase;
	}

.banner-box > p{
	color:var(--color-black);
	font-size:1.2rem;
	font-weight:var(--fw-normal);

	}


/*                                       
-------------------------------------  MOVIL 620 ---
--------------------------------------------------*/

@media only screen and (max-width:620px) {


	.banner-box .title{

	font-size:2em;
	}

	.banner-box .subtitle{
	font-size:2em;
	}

	.banner-box p{
	font-size:1.2em;
	}


}




/* --------------------------------------------------
04 --------------------------------- BANNER MAIN ---
---------------------------------------------------*/

/* Background 
------------------------------*/

*[data-element='banner'] {
	background:var(--gradient-main);
	}

*[data-element='banner-main'] {
	background:var(--gradient-main);
	}



/* Background inside element
------------------------------*/
*[data-element='banner'] .inside{
	background-color:var(--color-whiite)!important;
	z-index:10;
	}

*[data-element='banner-main'] .inside{
	background-color:var(--color-main-softer);
	}




/* Col Info
------------------------------*/
*[data-element='banner'] .col-info{
	
	}

*[data-element='banner-main'] .col-info{
	
	}




/* Col image
------------------------------*/
*[data-element='banner'] .col-image{
	background:var(--color-neutro-darker)!important;
	}

*[data-element='banner-main'] .col-image{
	background:var(--color-neutro-darker)!important;
	}



/* If gradient
------------------------------*/
.banner-cover.add-gradient .inside .col-info{
	background-image:linear-gradient(to right, var(--color-main) 20%, transparent 80%);
	}
.banner-cover.add-gradient .inside .col-img > picture img{
	object-position:right center;
	}


/*-------------------------------------------------------------------------- 
///////////////////////////////////////////////////////////////////////////
05 PANELS  ////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
-------------------------------------------------------------------------*/
/* --------------------------------------------------
05 --------------------------------- PANELS ALL ---
---------------------------------------------------*/
*[data-element='panel'] {
	background-color:var(--color-white);
	}

*[data-element='panel'] > .inside {
	background-color:var(--color-white);
	}


*[data-element='panel'] .col-img {
	background-color:var(--color-neutro-soft);
	}






/*-------------------------------------------------------------------------- 
////////////////////////////////////////////////////////////////////////////
08 MENU & INPUTS  //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
-------------------------------------------------------------------------*/
/* --------------------------------------------------
08 ------------------------------------- INPUTS ---
---------------------------------------------------*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel],
input[type=search],
input:focus,
textarea,
textarea:focus,
seelct
select:focus,
div.input,
div.input > span,

/* box search */
div.box-search,

/* div.select */
div.select {
	border:1px solid var(--color-neutro-softer);
	background-color:var(--color-neutro-softer);
	}


/* Default Border radius
------------------------------*/
form.inputs input[type=text],
form.inputs input[type=number],
form.inputs input[type=password],
form.inputs input[type=email],
form.inputs input[type=tel],
form.inputs input[type=search],
form.inputs select,
form.inputs div.input,

/*inputs*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel],
input[type=search],
select,
textarea,

/* div input */
div.input,

/* box search */
div.box-search,

/* div select */
div.select,

/* botones */
.btn,
.btn + label,
ul.add-button li > a,
ul.add-button li > span,
ul.add-button li > input[type=submit] + label,
ul.add-button li > input[type=button] + label,
ul.add-button li > input[type=file] + label,
ul.add-button li > input[type=checkbox] + label,
ul.add-button li > input[type=radio] + label,

/* tag */
ul.add-button li > button,
.tag,
ul.add-tag li > *:not(a, p, input, button),

div.checkbox-set input[type=checkbox] + label span{
	border-radius:0px;
	}





/* --------------------------------------------------
08 ------------------------------------- BUTTONS ---
---------------------------------------------------*/
.btn,
.btn + label,
ul.add-button li > a,
ul.add-button li > span,
ul.add-button li > input[type=submit] + label,
ul.add-button li > input[type=button] + label,
ul.add-button li > input[type=file] + label,
ul.add-button li > input[type=checkbox] + label,
ul.add-button li > input[type=radio] + label,
ul.add-button li > button,
.tag,
ul.add-tag li > *:not(a, p, input, button) {
	background-color:var(--color-main);
	color:var(--color-white-70);
	border-radius:4px;
	}


/* Icons
------------------------------*/
.btn .svg-icon,
.btn + label .svg-icon,
ul.add-button li > * > .svg-icon,
ul.add-button .svg-icon,
.tag .svg-icon,
ul.add-tag li > *:not(a, p, input, button) .svg-icon{
	fill:var(--color-white-70);
	}


/* Hover
------------------------------*/
.btn:hover,
.btn + label:hover,
ul.add-button li > a:hover,
ul.add-button li > span:hover,
ul.add-button li > input[type=submit] + label:hover,
ul.add-button li > input[type=button] + label:hover,
ul.add-button li > input[type=file] + label:hover,
ul.add-button li > input[type=checkbox] + label:hover,
ul.add-button li > input[type=radio] + label:hover,
ul.add-button li > button:hover {
	background-color:var(--color-main-dark);
	color:var(--color-white);
	text-decoration:none;
	}

.btn:hover .svg-icon,
.btn + label:hover .svg-icon,
ul.add-button :hover .svg-icon {
	fill:var(--color-white);
	}


/* Checked (if checbox - radio)
------------------------------*/
ul.add-button li > input[type=checkbox]:checked + label,
ul.add-button li > input[type=radio]:checked + label{
	background-color:var(--color-main-darker);
	color:var(--color-white);
	}
ul.add-button li > input[type=checkbox]:checked + label .svg-icon,
ul.add-button li > input[type=radio]:checked + label .svg-icon{
	fill:var(--color-white);
	}



/* + Outline
------------------------------*/
.btn.outline,
.btn.outline + label,
ul.add-button.outline li > a,
ul.add-button.outline li > span,
ul.add-button.outline li > input[type=submit] + label,
ul.add-button.outline li > input[type=button] + label,
ul.add-button.outline li > input[type=file] + label,
ul.add-button.outline li > input[type=checkbox] + label,
ul.add-button.outline li > input[type=radio] + label,
ul.add-button.outline li > button,
.tag.outline,
ul.add-tag.outline li > *:not(a, p, input, button)  {
	background-color:transparent;
	border:1px solid var(--color-main);
	color:var(--color-main);
	}

.btn.outline .svg-icon,
.btn.outline + label .svg-icon,
ul.add-button.outline  li > * .svg-icon,
.tag.outline .svg-icon,
ul.add-tag.outline .svg-icon {
	fill:var(--color-main);
	}

.btn.outline:hover .svg-icon,
.btn.outline + label:hover .svg-icon,
ul.add-button.outline li > *:hover .svg-icon {
	fill:var(--color-white);
	}


.btn.outline:hover,
.btn.outline + label:hover,
ul.add-button.outline li > a:hover,
ul.add-button.outline li > span:hover,
ul.add-button.outline li > input[type=submit] + label:hover,
ul.add-button.outline li > input[type=button] + label:hover,
ul.add-button.outline li > input[type=file] + label:hover,
ul.add-button.outline li > input[type=checkbox] + label:hover,
ul.add-button.outline li > input[type=radio] + label:hover,
ul.add-button.outline li > button:hover {
	border:1px solid transparent;
	background-color:var(--color-main);
	color:var(--color-white);
	}

/* Checked (if checbox - radio)
------------------------------*/
ul.add-button.outline li > input[type=checkbox]:checked + label,
ul.add-button.outline li > input[type=radio]:checked + label{
	border:1px solid transparent;
	background-color:var(--color-main-darker);
	color:var(--color-white);
	}

ul.add-button.outline li > input[type=checkbox]:checked + label .svg-icon,
ul.add-button.outline li > input[type=radio]:checked + label .svg-icon{
	fill:var(--color-white);
	}




/*-------------------------------------------------------------------------- 
////////////////////////////////////////////////////////////////////////////
09 FOOTER /////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
-------------------------------------------------------------------------*/

/* --------------------------------------------------
09 --------------------------------------- FOOTER ---
---------------------------------------------------*/
footer{
	background-color:var(--color-neutro-darker);
	color:var(--color-white-60);
	}

/* Title
------------------------------*/
footer .title {
	color:var(--color-main);
	font-family:var(--font-main);
	font-size:1em;
	font-weight:bold;
	text-align:left;
	text-transform:uppercase;
	width:100%;
	}
